#
# spec file for package perl-CPAN-Checksums
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-CPAN-Checksums
Version:        2.12
Release:        1.1
%define cpan_name CPAN-Checksums
Summary:        Write a C<CHECKSUMS> file for a directory as on CPAN
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/CPAN-Checksums/
Source0:        http://www.cpan.org/authors/id/A/AN/ANDK/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Compress::Bzip2)
BuildRequires:  perl(Compress::Zlib)
BuildRequires:  perl(Data::Compare)
BuildRequires:  perl(Digest::SHA)
BuildRequires:  perl(IO::File) >= 1.14
BuildRequires:  perl(Module::Signature)
Requires:       perl(Compress::Bzip2)
Requires:       perl(Compress::Zlib)
Requires:       perl(Data::Compare)
Requires:       perl(Digest::SHA)
Requires:       perl(IO::File) >= 1.14
Requires:       perl(Module::Signature)
%{perl_requires}

%description
* $success = updatedir($dir)

'updatedir()' takes a directory name as argument and writes a typical
'CHECKSUMS' file in that directory as used on CPAN unless a previously
written 'CHECKSUMS' file is there that is still valid. Returns 2 if a new
'CHECKSUMS' file has been written, 1 if a valid 'CHECKSUMS' file is already
there, otherwise dies.

Note: since version 2.0 updatedir on empty directories behaves just the
same. In older versions it silently did nothing.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README Todo

%changelog
* Thu Jun 23 2016 coolo@suse.com
- updated to 2.12
  see /usr/share/doc/packages/perl-CPAN-Checksums/Changes
  2016-06-14  k  <andk@cpan.org>
  * Version 2.12
  * more on #113615: Fix recalc being too lazy (bug analysis by Ralf
  Neubauer, code by Andreas Koenig)
* Mon Apr 11 2016 coolo@suse.com
- updated to 2.11
  see /usr/share/doc/packages/perl-CPAN-Checksums/Changes
  2016-04-09  k  <andk@cpan.org>
  * Version 2.11
  * address #113615: extend the production rules for compressed file to
  .tgz and .tbz. Up to now those did not get a checksum for the uncompress
  file (requested by Ralf Neubauer)
  * bump the Module::Signature version that decides whether to test or not
  to test (Salve J. Nilsen)
  * never let t/00signature.t actually fail
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.10
  see /usr/share/doc/packages/perl-CPAN-Checksums/Changes
* Thu Apr 16 2015 coolo@suse.com
- updated to 2.08
  see /usr/share/doc/packages/perl-CPAN-Checksums/
* Fri May 13 2011 jw@novell.com
- initial pull from CPAN with cpanspec_obs-0.6
* Fri May 13 2011 jw@novell.com
- initial package 2.07
  * created by cpanspec 1.78.04
